Subject: [cddlm] API issue: JSDL support
From: Steve Loughran <[email-masked]>
To: CDDLM <[email-masked]>
Date: Fri, 21 Jan 2005 12:27:33 +0000

I am thinking of enhancing the deployment API to enable support for 
multiple JSDL-like languages. Specifically, just as for the deployment 
descriptor you provide (languageURI, [descriptor|descriptorURL]), I want 
to move from (JSDL) to (job language descriptor URI, job language 
descriptor)

This has two benefits
-guarantees we dont need to include JSDL in our WSDL; we stick with xsd:any
-gives us resilence with respect to JSDL versions
-lets us support things like Globus job description language

I still think JSDL should be the base language that is supported, and 
will say so in the spec. I'll also add a way to list the JSDL languages. 
Note that we say nothing in the spec about how the language should be 
interpreted.

-steve